if {[package vsatisfies 8.6 [set ::tcl_version]]} {
    package ifneeded Tclx 9.0 [list load [file join [set dir] libtclx9.0.so] Tclx]
} else {
    package ifneeded Tclx 9.0 [list load [file join [set dir] libtcl9tclx9.0.so] Tclx]
}
